<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="thume.sigo.fakereports"
           targetNamespace="thume.sigo.fakereports" elementFormDefault="qualified">

    <xs:element name="getSalesReportRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="month" type="xs:int"/>
                <xs:element name="year" type="xs:int"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getSalesReportResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="sales" type="tns:sales" maxOccurs="unbounded"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="sales">
        <xs:sequence>
            <xs:element name="productId" type="xs:int"/>
            <xs:element name="salesCount" type="xs:int"/>
        </xs:sequence>
    </xs:complexType>
    
</xs:schema>